/*-
 * ~~~~~~licensing~~~~~~
 * artifact-management
 * ==========
 * Copyright (C) 2020 - 2023 EmDev LLC
 * ==========
 * You may not use this file except in accordance with the License Terms of the Copyright
 * Holder located at: https://entaxy.ru/eula . All copyrights, all intellectual property
 * rights to the Software and any copies are the property of the Copyright Holder. Unless
 * it is explicitly allowed the Copyright Holder, the User is prohibited from using the
 * Software for commercial purposes to provide services to third parties.
 * 
 * The Copyright Holder hereby declares that the Software is provided on an "AS IS".
 * Under no circumstances does the Copyright Holder guarantee or promise that the
 * Software provided by him will be suitable or not suitable for the specific purposes
 * of the User, that the Software will meet all commercial and personal subjective
 * expectations of the User, that the Software will work properly, without technical
 * errors, quickly and uninterruptedly.
 * 
 * Under no circumstances shall the Copyright Holder or its Affiliates is not liable
 * to the User for any direct or indirect losses of the User, his expenses or actual
 * damage, including, downtime; loss of bussines; lost profit; lost earnings; loss
 * or damage to data, property, etc.
 * ~~~~~~/licensing~~~~~~
 */
package ru.entaxy.platform.core.artifact.repository.impl.remote;

import java.net.MalformedURLException;
import java.net.URL;

import ru.entaxy.platform.core.artifact.repository.impl.RepositoryDescriptor;

public class RemoteRepositoryDescriptor {

	String type = "nexus";
	
	String host;
	String hostSuffix;
	String username;
	String password;
	String repositoryPath;
	
	public RemoteRepositoryDescriptor(RepositoryDescriptor repositoryDescriptor) throws MalformedURLException {
		String repositoryUrl = repositoryDescriptor.getRemotes().trim();
		URL url = new URL(repositoryUrl);
		this.host = url.getProtocol() + "://" + url.getHost();
		if (url.getPort()>0)
			this.host += ":" + url.getPort();
		this.hostSuffix = repositoryDescriptor.getRemoteHostSuffix();
		this.repositoryPath = url.getPath();
		this.username = repositoryDescriptor.getUsername();
		this.password = repositoryDescriptor.getPassword();
	}

	public String getType() {
		return type;
	}

	public String getHost() {
		return host;
	}

	public void setHost(String host) {
		this.host = host;
	}

	public String getUsername() {
		return username;
	}

	public void setUsername(String username) {
		this.username = username;
	}

	public String getPassword() {
		return password;
	}

	public void setPassword(String password) {
		this.password = password;
	}

	public String getRepositoryPath() {
		return repositoryPath;
	}

	public void setRepositoryPath(String repositoryName) {
		this.repositoryPath = repositoryName;
	}

	public String getHostSuffix() {
		return hostSuffix;
	}

	public void setHostSuffix(String hostSuffix) {
		this.hostSuffix = hostSuffix;
	} 
	
}
